org.eclipse.jdt.ui.text.java

## Class ClasspathFixProcessor.ClasspathFixProposal

- java.lang.Object
- - org.eclipse.jdt.ui.text.java.ClasspathFixProcessor.ClasspathFixProposal

Enclosing class:
  ClasspathFixProcessor

    public abstract static class ClasspathFixProcessor.ClasspathFixProposal
    extends Object

A proposal to fix a class path issue.

### Constructor Summary

Constructors
Constructor and Description
`ClasspathFixProposal()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract Change` `createChange(IProgressMonitor monitor)` Returns the change to invoke when the proposal is selected.
`abstract String` `getAdditionalProposalInfo()` Returns optional additional information about the proposal.
`abstract String` `getDisplayString()` Returns the string to be displayed in a list of proposals.
`abstract Image` `getImage()` Returns the image to be displayed in the list of completion proposals.
`abstract int` `getRelevance()` Returns the relevance of this completion proposal.
`static Change` `newAddClasspathChange(IJavaProject project, IClasspathEntry entryToAdd)` A helper method to create a `Change` that adds an entry to the class path.
`static Change` `newClasspathChange(IJavaProject project, IClasspathEntry[] newClasspath, IPath outputLocation)` A helper method to create a `Change` that modifies a class path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClasspathFixProposal

    public ClasspathFixProposal()

### Method Detail

#### newClasspathChange

    public static Change newClasspathChange(IJavaProject project,
                                            IClasspathEntry[] newClasspath,
                                            IPath outputLocation)

A helper method to create a `Change` that modifies a class path.

Parameters:
  `project` - the project to change
  `newClasspath` - the new class path
  `outputLocation` - the new output location
Returns:
  the `Change` to change the class path or `null` if the class path is not valid (See `JavaConventions.validateClasspath(IJavaProject, IClasspathEntry[], IPath)`).

#### newAddClasspathChange

    public static Change newAddClasspathChange(IJavaProject project,
                                               IClasspathEntry entryToAdd)
                                        throws JavaModelException

A helper method to create a `Change` that adds an entry to the class path.

Parameters:
  `project` - the project to change
  `entryToAdd` - the entry to add to the class path
Returns:
  the `Change` to change the class path or `null` if the class path is not valid (See `JavaConventions.validateClasspath(IJavaProject, IClasspathEntry[], IPath)`).
Throws:
  `JavaModelException` - thrown if accessing the project failed.

#### createChange

    public abstract Change createChange(IProgressMonitor monitor)
                                 throws CoreException

Returns the change to invoke when the proposal is selected.

Parameters:
  `monitor` - the progress monitor
Returns:
  the change
Throws:
  `CoreException` - thrown when the creation of the change failed

#### getDisplayString

    public abstract String getDisplayString()

Returns the string to be displayed in a list of proposals.

Returns:
  the string to be displayed

#### getAdditionalProposalInfo

    public abstract String getAdditionalProposalInfo()

Returns optional additional information about the proposal. The additional information will be presented to assist the user in deciding if the selected proposal is the desired choice.

Returns:
  the additional information or `null`

#### getImage

    public abstract Image getImage()

Returns the image to be displayed in the list of completion proposals. The image would typically be shown to the left of the display string.

Returns:
  the image to be shown or `null` if no image is desired

#### getRelevance

    public abstract int getRelevance()

Returns the relevance of this completion proposal.

The relevance is used to determine if this proposal is more relevant than another proposal.

Returns:
  the relevance of this completion proposal in the range of [0, 100]